// package: bet.beteran.c2se.member_referrer
// file: c2se/member_referrer.proto

import * as jspb from 'google-protobuf';
import * as protobuf_rpc_pb from '../protobuf/rpc_pb';
import * as protobuf_pagination_pb from '../protobuf/pagination_pb';
import * as models_member_referrer_pb from '../models/member_referrer_pb';

export class CreateMemberReferrerRequest extends jspb.Message {
  getMemberId(): string;
  setMemberId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberReferrerRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberReferrerRequest
  ): CreateMemberReferrerRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberReferrerRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberReferrerRequest;
  static deserializeBinaryFromReader(
    message: CreateMemberReferrerRequest,
    reader: jspb.BinaryReader
  ): CreateMemberReferrerRequest;
}

export namespace CreateMemberReferrerRequest {
  export type AsObject = {
    memberId: string;
  };
}

export class CreateMemberReferrerResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberReferrerResponse.Result | undefined;
  setResult(value?: CreateMemberReferrerResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberReferrerResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberReferrerResponse
  ): CreateMemberReferrerResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberReferrerResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberReferrerResponse;
  static deserializeBinaryFromReader(
    message: CreateMemberReferrerResponse,
    reader: jspb.BinaryReader
  ): CreateMemberReferrerResponse;
}

export namespace CreateMemberReferrerResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: CreateMemberReferrerResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberReferrer(): boolean;
    clearMemberReferrer(): void;
    getMemberReferrer():
      | models_member_referrer_pb.MemberReferrerModel
      | undefined;
    setMemberReferrer(
      value?: models_member_referrer_pb.MemberReferrerModel
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberReferrer?: models_member_referrer_pb.MemberReferrerModel.AsObject;
    };
  }
}

export class CreateMemberReferrersRequest extends jspb.Message {
  clearMemberIdsList(): void;
  getMemberIdsList(): Array<string>;
  setMemberIdsList(value: Array<string>): void;
  addMemberIds(value: string, index?: number): string;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberReferrersRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberReferrersRequest
  ): CreateMemberReferrersRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberReferrersRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberReferrersRequest;
  static deserializeBinaryFromReader(
    message: CreateMemberReferrersRequest,
    reader: jspb.BinaryReader
  ): CreateMemberReferrersRequest;
}

export namespace CreateMemberReferrersRequest {
  export type AsObject = {
    memberIdsList: Array<string>;
  };
}

export class CreateMemberReferrersResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberReferrersResponse.Result | undefined;
  setResult(value?: CreateMemberReferrersResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberReferrersResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberReferrersResponse
  ): CreateMemberReferrersResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberReferrersResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberReferrersResponse;
  static deserializeBinaryFromReader(
    message: CreateMemberReferrersResponse,
    reader: jspb.BinaryReader
  ): CreateMemberReferrersResponse;
}

export namespace CreateMemberReferrersResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: CreateMemberReferrersResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    clearMemberReferrersList(): void;
    getMemberReferrersList(): Array<models_member_referrer_pb.MemberReferrerModel>;
    setMemberReferrersList(
      value: Array<models_member_referrer_pb.MemberReferrerModel>
    ): void;
    addMemberReferrers(
      value?: models_member_referrer_pb.MemberReferrerModel,
      index?: number
    ): models_member_referrer_pb.MemberReferrerModel;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberReferrersList: Array<models_member_referrer_pb.MemberReferrerModel.AsObject>;
    };
  }
}

export class ListMemberReferrersRequest extends jspb.Message {
  hasPagination(): boolean;
  clearPagination(): void;
  getPagination(): protobuf_pagination_pb.Pagination | undefined;
  setPagination(value?: protobuf_pagination_pb.Pagination): void;

  clearSortsList(): void;
  getSortsList(): Array<protobuf_pagination_pb.Sort>;
  setSortsList(value: Array<protobuf_pagination_pb.Sort>): void;
  addSorts(
    value?: protobuf_pagination_pb.Sort,
    index?: number
  ): protobuf_pagination_pb.Sort;

  hasSearch(): boolean;
  clearSearch(): void;
  getSearch(): ListMemberReferrersRequest.Search | undefined;
  setSearch(value?: ListMemberReferrersRequest.Search): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberReferrersRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMemberReferrersRequest
  ): ListMemberReferrersRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMemberReferrersRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberReferrersRequest;
  static deserializeBinaryFromReader(
    message: ListMemberReferrersRequest,
    reader: jspb.BinaryReader
  ): ListMemberReferrersRequest;
}

export namespace ListMemberReferrersRequest {
  export type AsObject = {
    pagination?: protobuf_pagination_pb.Pagination.AsObject;
    sortsList: Array<protobuf_pagination_pb.Sort.AsObject>;
    search?: ListMemberReferrersRequest.Search.AsObject;
  };

  export class Search extends jspb.Message {
    hasMemberId(): boolean;
    clearMemberId(): void;
    getMemberId(): string;
    setMemberId(value: string): void;

    hasCanUse(): boolean;
    clearCanUse(): void;
    getCanUse(): boolean;
    setCanUse(value: boolean): void;

    hasMemoLike(): boolean;
    clearMemoLike(): void;
    getMemoLike(): string;
    setMemoLike(value: string): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Search.AsObject;
    static toObject(includeInstance: boolean, msg: Search): Search.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Search,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Search;
    static deserializeBinaryFromReader(
      message: Search,
      reader: jspb.BinaryReader
    ): Search;
  }

  export namespace Search {
    export type AsObject = {
      memberId: string;
      canUse: boolean;
      memoLike: string;
    };
  }
}

export class ListMemberReferrersResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): ListMemberReferrersResponse.Result | undefined;
  setResult(value?: ListMemberReferrersResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberReferrersResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMemberReferrersResponse
  ): ListMemberReferrersResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMemberReferrersResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberReferrersResponse;
  static deserializeBinaryFromReader(
    message: ListMemberReferrersResponse,
    reader: jspb.BinaryReader
  ): ListMemberReferrersResponse;
}

export namespace ListMemberReferrersResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: ListMemberReferrersResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    clearMemberReferrersList(): void;
    getMemberReferrersList(): Array<models_member_referrer_pb.MemberReferrerModel>;
    setMemberReferrersList(
      value: Array<models_member_referrer_pb.MemberReferrerModel>
    ): void;
    addMemberReferrers(
      value?: models_member_referrer_pb.MemberReferrerModel,
      index?: number
    ): models_member_referrer_pb.MemberReferrerModel;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberReferrersList: Array<models_member_referrer_pb.MemberReferrerModel.AsObject>;
    };
  }
}

export class GetMemberReferrerRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberReferrerRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberReferrerRequest
  ): GetMemberReferrerRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberReferrerRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberReferrerRequest;
  static deserializeBinaryFromReader(
    message: GetMemberReferrerRequest,
    reader: jspb.BinaryReader
  ): GetMemberReferrerRequest;
}

export namespace GetMemberReferrerRequest {
  export type AsObject = {
    id: string;
  };
}

export class GetMemberReferrerResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberReferrerResponse.Result | undefined;
  setResult(value?: GetMemberReferrerResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberReferrerResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberReferrerResponse
  ): GetMemberReferrerResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberReferrerResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberReferrerResponse;
  static deserializeBinaryFromReader(
    message: GetMemberReferrerResponse,
    reader: jspb.BinaryReader
  ): GetMemberReferrerResponse;
}

export namespace GetMemberReferrerResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: GetMemberReferrerResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberReferrer(): boolean;
    clearMemberReferrer(): void;
    getMemberReferrer():
      | models_member_referrer_pb.MemberReferrerModel
      | undefined;
    setMemberReferrer(
      value?: models_member_referrer_pb.MemberReferrerModel
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberReferrer?: models_member_referrer_pb.MemberReferrerModel.AsObject;
    };
  }
}

export class GetMemberReferrerByCodeRequest extends jspb.Message {
  getCode(): string;
  setCode(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberReferrerByCodeRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberReferrerByCodeRequest
  ): GetMemberReferrerByCodeRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberReferrerByCodeRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberReferrerByCodeRequest;
  static deserializeBinaryFromReader(
    message: GetMemberReferrerByCodeRequest,
    reader: jspb.BinaryReader
  ): GetMemberReferrerByCodeRequest;
}

export namespace GetMemberReferrerByCodeRequest {
  export type AsObject = {
    code: string;
  };
}

export class GetMemberReferrerByCodeResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberReferrerByCodeResponse.Result | undefined;
  setResult(value?: GetMemberReferrerByCodeResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberReferrerByCodeResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberReferrerByCodeResponse
  ): GetMemberReferrerByCodeResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberReferrerByCodeResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberReferrerByCodeResponse;
  static deserializeBinaryFromReader(
    message: GetMemberReferrerByCodeResponse,
    reader: jspb.BinaryReader
  ): GetMemberReferrerByCodeResponse;
}

export namespace GetMemberReferrerByCodeResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: GetMemberReferrerByCodeResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberReferrer(): boolean;
    clearMemberReferrer(): void;
    getMemberReferrer():
      | models_member_referrer_pb.MemberReferrerModel
      | undefined;
    setMemberReferrer(
      value?: models_member_referrer_pb.MemberReferrerModel
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberReferrer?: models_member_referrer_pb.MemberReferrerModel.AsObject;
    };
  }
}

export class UpdateMemberReferrerRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getCanUse(): boolean;
  setCanUse(value: boolean): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberReferrerRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberReferrerRequest
  ): UpdateMemberReferrerRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberReferrerRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberReferrerRequest;
  static deserializeBinaryFromReader(
    message: UpdateMemberReferrerRequest,
    reader: jspb.BinaryReader
  ): UpdateMemberReferrerRequest;
}

export namespace UpdateMemberReferrerRequest {
  export type AsObject = {
    id: string;
    canUse: boolean;
    memo: string;
  };
}

export class UpdateMemberReferrerResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberReferrerResponse.Result | undefined;
  setResult(value?: UpdateMemberReferrerResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberReferrerResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberReferrerResponse
  ): UpdateMemberReferrerResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberReferrerResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberReferrerResponse;
  static deserializeBinaryFromReader(
    message: UpdateMemberReferrerResponse,
    reader: jspb.BinaryReader
  ): UpdateMemberReferrerResponse;
}

export namespace UpdateMemberReferrerResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: UpdateMemberReferrerResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberReferrer(): boolean;
    clearMemberReferrer(): void;
    getMemberReferrer():
      | models_member_referrer_pb.MemberReferrerModel
      | undefined;
    setMemberReferrer(
      value?: models_member_referrer_pb.MemberReferrerModel
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberReferrer?: models_member_referrer_pb.MemberReferrerModel.AsObject;
    };
  }
}

export class DeleteMemberReferrerRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberReferrerRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberReferrerRequest
  ): DeleteMemberReferrerRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberReferrerRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberReferrerRequest;
  static deserializeBinaryFromReader(
    message: DeleteMemberReferrerRequest,
    reader: jspb.BinaryReader
  ): DeleteMemberReferrerRequest;
}

export namespace DeleteMemberReferrerRequest {
  export type AsObject = {
    id: string;
  };
}

export class DeleteMemberReferrerResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberReferrerResponse.Result | undefined;
  setResult(value?: DeleteMemberReferrerResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberReferrerResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberReferrerResponse
  ): DeleteMemberReferrerResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberReferrerResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberReferrerResponse;
  static deserializeBinaryFromReader(
    message: DeleteMemberReferrerResponse,
    reader: jspb.BinaryReader
  ): DeleteMemberReferrerResponse;
}

export namespace DeleteMemberReferrerResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: DeleteMemberReferrerResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {};
  }
}

export class DeleteMemberReferrersRequest extends jspb.Message {
  clearIdsList(): void;
  getIdsList(): Array<string>;
  setIdsList(value: Array<string>): void;
  addIds(value: string, index?: number): string;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberReferrersRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberReferrersRequest
  ): DeleteMemberReferrersRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberReferrersRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberReferrersRequest;
  static deserializeBinaryFromReader(
    message: DeleteMemberReferrersRequest,
    reader: jspb.BinaryReader
  ): DeleteMemberReferrersRequest;
}

export namespace DeleteMemberReferrersRequest {
  export type AsObject = {
    idsList: Array<string>;
  };
}

export class DeleteMemberReferrersResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberReferrersResponse.Result | undefined;
  setResult(value?: DeleteMemberReferrersResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberReferrersResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberReferrersResponse
  ): DeleteMemberReferrersResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberReferrersResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberReferrersResponse;
  static deserializeBinaryFromReader(
    message: DeleteMemberReferrersResponse,
    reader: jspb.BinaryReader
  ): DeleteMemberReferrersResponse;
}

export namespace DeleteMemberReferrersResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: DeleteMemberReferrersResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {};
  }
}
